Bug 137382 - pool init.d scripts can hang on startup until console input is provided
Summary: pool init.d scripts can hang on startup until console input is provided
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adam "mantis" Manthei
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On: 137381
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-27 21:49 UTC by Adam "mantis" Manthei
Modified: 2010-01-12 03:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-01 20:04:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:659 normal SHIPPED_LIVE Updated GFS packages 2004-12-03 05:00:00 UTC

Description Adam "mantis" Manthei 2004-10-27 21:49:57 UTC
Description of problem:
pool init.d scripts can hang on startup until console input is
provided.  This will happen if there is a file in the /dev/pool/
directory that has the same name as the pool that is being assembled.  

Version-Release number of selected component (if applicable):
GFS-6.0.0-15

How reproducible:


Steps to Reproduce:
1. make sure pool is not assembled
2. create a file in /dev/pool with the poolname you want to assemble
   (e.g. touch /dev/pool/yourpoolnamehere)
3. run the pool init.d script
4. script will hang until interactive input is provided

Actual results:
[root@trin-11 root]# /etc/init.d/pool start
Starting pool:/dev/pool/iscsi exists - remove? (y/n):  

Expected results:
root@trin-11 root]# /etc/init.d/pool start
Starting pool:                                             [  OK  ]

Comment 1 Adam "mantis" Manthei 2004-10-27 21:55:58 UTC
Added the following tempoary hack to workaround the issue until bug
#137381 is addressed:

diff -u -p -r1.1.2.3 pool
--- pool        29 Jun 2004 22:41:44 -0000      1.1.2.3
+++ pool        27 Oct 2004 21:55:32 -0000
@@ -33,7 +33,7 @@ start()
                for pool in $POOLS
                do
                        echo -n "Starting pool $pool:"
-                       if pool_assemble -q $pool 2>/dev/null
+                       if yes | pool_assemble -q $pool 2>/dev/null
                        then
                                success
                        else
@@ -44,7 +44,7 @@ start()
                done
        else
                echo -n "Starting pool:"
-               if pool_assemble -q 2>/dev/null 
+               if yes | pool_assemble -q 2>/dev/null 
                then
                        success
                else


Comment 2 Adam "mantis" Manthei 2004-10-29 15:06:56 UTC
resolved in GFS/init.d/pool 1.1.2.5

Now that bug #137381 has been resolved (override flag added to
pool_assemble) the hack of piping "yes" into pool_assemble can be
replaced by the correct fix:

diff -u -r1.1.2.4 pool
--- pool        27 Oct 2004 21:58:25 -0000      1.1.2.4
+++ pool        29 Oct 2004 15:07:02 -0000
@@ -33,7 +33,7 @@
                for pool in $POOLS
                do
                        echo -n "Starting pool $pool:"
-                       if yes | pool_assemble -q $pool 2>/dev/null
+                       if pool_assemble -O -q $pool 2>/dev/null
                        then
                                success
                        else
@@ -44,7 +44,7 @@
                done
        else
                echo -n "Starting pool:"
-               if yes | pool_assemble -q 2>/dev/null
+               if pool_assemble -O -q 2>/dev/null
                then
                        success
                else


Comment 3 Derek Anderson 2004-12-01 20:04:39 UTC
Verified in GFS-6.0.2-12.

Comment 4 Tim Powers 2004-12-03 16:58:47 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-659.html



Note You need to log in before you can comment on or make changes to this bug.